
Figure - Bug #116460
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT2】【通知中心】打开任意应用后，点击通知中心下的“前往通知设置”，会先显示应用再显示
设置
2023-02-22 17:28 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-02

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-03

Test Type: ST Root cause: 由于页面实际经过两次切换，造成了这个问题。改为了一次切换

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开任意一个应用

2、下划打开通知中心

3、点击“前往通知设置”

4、观察显示情况

【预期结果】

4、直接显示设置界面

【实际结果】

4、先显示应用界面再显示设置界面

【复现率】

3/3

History

#1 - 2023-02-27 09:50 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

从现象来看，点击“前往通知设置”后，画面会从前一个应用画面切换到设定通知页面

这是一个正常的应用切换动画

■ 下一步解析计划

调查是否有优化的空间

#2 - 2023-02-27 20:41 - CD FW 曹覃刚
■ 我的分析

由于设定应用改为两页显示，外部跳转至SettingsActivity页面，然后finish进入SettingsHomepageActivity页面

页面切换两次，导致了此问题

■ 下一步解析计划

调查优化的方式

#3 - 2023-02-27 20:41 - CD FW 曹覃刚

- Due date set to 2023-03-02

#4 - 2023-03-02 10:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185259 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix flickering and animation problems when jumping to settings from outside.TC-RID: 1201-0201813IssueID: TS-R-BUG-116460Change-Id:

I27c5717cd1658e5a7383863387ba15291036bd81

#5 - 2023-03-02 15:05 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-03

- Root cause set to 由于页面实际经过两次切换，造成了这个问题。改为了一次切换

#6 - 2023-03-04 16:08 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

【验证情况】直接转换到设置页面，但屏幕最左侧会闪一下，由Bug #116725跟踪，pass

#7 - 2023-03-04 16:09 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

20230222-172636.mp4 2.71 MB 2023-02-22 CDTS_Test 吴诗雨
